Import chains
curl --request POST \
--url https://{host}/store/v3/Chains/import \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json-patch+json' \
--data '
[
{
"id": "<string>",
"name": "<string>",
"logoAssetId": "<string>",
"isAvailableForStoreSelection": true,
"logoAliasAssetId": "<string>",
"color": "<string>",
"pinIconAssetId": "<string>",
"logoWhiteAssetId": "<string>",
"displayOrder": 123
}
]
'import requests
url = "https://{host}/store/v3/Chains/import"
payload = [
{
"id": "<string>",
"name": "<string>",
"logoAssetId": "<string>",
"isAvailableForStoreSelection": True,
"logoAliasAssetId": "<string>",
"color": "<string>",
"pinIconAssetId": "<string>",
"logoWhiteAssetId": "<string>",
"displayOrder": 123
}
]
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify([
{
id: '<string>',
name: '<string>',
logoAssetId: '<string>',
isAvailableForStoreSelection: true,
logoAliasAssetId: '<string>',
color: '<string>',
pinIconAssetId: '<string>',
logoWhiteAssetId: '<string>',
displayOrder: 123
}
])
};
fetch('https://{host}/store/v3/Chains/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": [
{
"name": "<string>",
"message": "<string>",
"details": null
}
]
}{
"name": "<string>",
"message": "<string>",
"details": null
}Import chains
Imports chains from .csv file. Will totally replace all chains with new ones. If invalid chain row passed, it won’t be imported. Expected CSV columns:
- Id*: string - Identifier of chain, to which store belongs
- Name*: string - Name of store chain
- LogoAssetId*: string - Identifier of logo asset identifier. Asset identifier is returned back by POST assets/ endpoint
- Color: string - chain color
- LogoWhiteAssetId: string - Identifier of white logo asset identifier
- PinIconAssetId: string - Identifier of pin icon asset identifier
Import modes:
- Incremental (Default): Adds new and updates an existing chains.
- Full: Fully reload all the chains. New chains will be added, existing - updated, and missing - deleted.
POST
/
v3
/
Chains
/
import
Import chains
Authorizations
Query Parameters
Import mode
Available options:
Incremental, Full Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
List of chains to import
Required string length:
1 - 450Required string length:
1 - 256Required string length:
1 - 256Maximum string length:
256Response
In case if chains were imported. Status code assumes that imported chains may have different import result.
Show child attributes
Show child attributes
Last modified on August 10, 2026
⌘I